/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.vehiclerouting.domain.solver;

import java.io.Serializable;
import java.util.Comparator;

import jp.co.ogis_ri.optaplanner.vehiclerouting.domain.core.ChainedTimeWindowedStep;

import org.apache.commons.lang.builder.CompareToBuilder;

public class VrpCargoDifficultyComparator implements
		Comparator<ChainedTimeWindowedStep>, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public int compare(final ChainedTimeWindowedStep a,
			final ChainedTimeWindowedStep b) {
		return new CompareToBuilder()
		// TODO experiment with (aLatitude - bLatitude) % 10
		// .append(a.getLocation().getLatitude(),
		// b.getLocation().getLatitude())
		// .append(a.getLocation().getLongitude(),
		// b.getLocation().getLongitude())
		// .append(a.getSize(), b.getSize())
				.append(a.getId(), b.getId()).toComparison();
	}

}
